"use strict";
var helpers_1 = require("./helpers");
module.exports = function (babel) {
    var t = babel.types;
    return {
        name: 'babel-plugin-react-createcontext-displayname',
        visitor: {
            CallExpression: function (path) {
                if (
                // TODO(meyer) add test for React.createContext
                !t.isIdentifier(path.node.callee) ||
                    path.node.callee.name !== 'createContext' ||
                    path.node.arguments.length > 1) {
                    return;
                }
                var parentNode = path.parentPath.node;
                if (!t.isVariableDeclarator(parentNode) ||
                    !t.isIdentifier(parentNode.id)) {
                    return;
                }
                var componentName = parentNode.id.name;
                var nearestStatement = path.find(t.isStatement);
                nearestStatement.insertAfter(helpers_1.makeDisplayName(componentName, componentName));
            },
        },
    };
};
//# sourceMappingURL=plugin.js.map